Subject: Re: [PATCH v2 1/2] powerpc32: put csum_tcpudp_magic inline

From: christophe leroy <[email-masked]>
Date: Tue, 28 Apr 2015 21:08:57 +0200

Le 25/03/2015 03:10, Scott Wood a écrit :
> On Tue, 2015-02-03 at 12:39 +0100, Christophe Leroy wrote:
>> csum_tcpudp_magic() is only a few instructions, and does not modifies any other
>> register than the returned result. So it is not worth having it as a separate
>> function and suffer function branching and saving of volatile registers.
>> This patch makes it inline by use of the already existing csum_tcpudp_nofold()
>> function.
>>
>> Signed-off-by: Christophe Leroy <[email-masked]>
>>
>> ---
>> v2: no change
>>
>>   arch/powerpc/include/asm/checksum.h | 15 +++++++++++++++
>>   arch/powerpc/lib/checksum_32.S      | 16 ----------------
>>   2 files changed, 15 insertions(+), 16 deletions(-)
> The 64-bit version is pretty similar to the 32-bit -- why only use
> csum_tcpudp_nofold() on 32-bit?
>
>
I did it only on 32-bit because I have no way to test it on 64-bits, but 
I can do it for 64 bits as well, no problem.

Christophe

---
L'absence de virus dans ce courrier électronique a été vérifiée par le logiciel antivirus Avast.
http://www.avast.com